Page MenuHomePhabricator

SpecialListfiles does not support actor
Closed, ResolvedPublic

Description

Hi, since we migrated to actor (under mw 1.31) we cannot search by users in Special:ListFiles.

Looking at the code, it's indeed incompatible with actor, see https://github.com/wikimedia/mediawiki/blob/master/includes/specials/pagers/ImageListPager.php#L137 that column is empty for me (the column is there but the value is empty and img_user is 0)

Event Timeline

Paladox created this task.Dec 3 2018, 10:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 10:23 PM
Paladox triaged this task as High priority.Dec 3 2018, 10:25 PM

(this special page should support actor as it's a core special page hence high priority)

Krinkle added a subscriber: Krinkle.Dec 4 2018, 5:13 AM

Speculatively adding a few tags as it wasn't on any triaged workboard. Apologies if tagged incorrectly, please correct, forward or delegate as appropriate.

Change 477578 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] ImageListPager: Actor migration for buildQueryConds()

https://gerrit.wikimedia.org/r/477578

Change 477578 merged by jenkins-bot:
[mediawiki/core@master] ImageListPager: Actor migration for buildQueryConds()

https://gerrit.wikimedia.org/r/477578

Change 477907 had a related patch set uploaded (by Paladox; owner: Anomie):
[mediawiki/core@REL1_32] ImageListPager: Actor migration for buildQueryConds()

https://gerrit.wikimedia.org/r/477907

Change 477908 had a related patch set uploaded (by Paladox; owner: Anomie):
[mediawiki/core@REL1_31] ImageListPager: Actor migration for buildQueryConds()

https://gerrit.wikimedia.org/r/477908

Change 477908 merged by jenkins-bot:
[mediawiki/core@REL1_31] ImageListPager: Actor migration for buildQueryConds()

https://gerrit.wikimedia.org/r/477908

Anomie closed this task as Resolved.Dec 5 2018, 9:58 PM
Anomie claimed this task.

Change 477907 merged by jenkins-bot:
[mediawiki/core@REL1_32] ImageListPager: Actor migration for buildQueryConds()

https://gerrit.wikimedia.org/r/477907